Package org.drinkless.tdlib

# Class TdApi.GiftCollection

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GiftCollection

Enclosing class:
  `TdApi`

public static class TdApi.GiftCollection extends TdApi.Object
Describes collection of gifts.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `giftCount`
  Total number of gifts in the collection.
  `TdApi.Sticker`
  `icon`
  Icon of the collection; may be null if none.
  `int`
  `id`
  Unique identifier of the collection.
  `String`
  `name`
  Name of the collection.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GiftCollection()`
  Describes collection of gifts.
  `GiftCollection(int id, String name, TdApi.Sticker icon, int giftCount)`
  Describes collection of gifts.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Unique identifier of the collection.

  - ### name

    public String name
    Name of the collection.

  - ### icon

    @Nullable public TdApi.Sticker icon
    Icon of the collection; may be null if none.

  - ### giftCount

    public int giftCount
    Total number of gifts in the collection.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GiftCollection

    public GiftCollection()
    Describes collection of gifts.

  - ### GiftCollection

    public GiftCollection(int id, String name, TdApi.Sticker icon, int giftCount)
    Describes collection of gifts.
    Parameters:
      `id` - Unique identifier of the collection.
      `name` - Name of the collection.
      `icon` - Icon of the collection; may be null if none.
      `giftCount` - Total number of gifts in the collection.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR